summaryrefslogtreecommitdiff
path: root/net-misc/tor
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /net-misc/tor
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-misc/tor')
l---------net-misc/tor/files1
-rw-r--r--net-misc/tor/tor-9999.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/net-misc/tor/files b/net-misc/tor/files
new file mode 120000
index 0000000..455484a
--- /dev/null
+++ b/net-misc/tor/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/net-misc/tor/files \ No newline at end of file
diff --git a/net-misc/tor/tor-9999.ebuild b/net-misc/tor/tor-9999.ebuild
new file mode 100644
index 0000000..7d7f55c
--- /dev/null
+++ b/net-misc/tor/tor-9999.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/tor/tor-0.2.0.31.ebuild,v 1.6 2008/11/14 12:43:56 fmccor Exp $
+
+inherit eutils subversion
+
+DESCRIPTION="Anonymizing overlay network for TCP"
+HOMEPAGE="http://tor.eff.org"
+MY_PV=${PV/_/-}
+SRC_URI=""
+S="${WORKDIR}/${P/_/}"
+
+ESVN_REPO_URI="https://svn.torproject.org/svn/tor/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ppc ppc64 ~sparc x86 ~x86-fbsd"
+IUSE="debug logrotate"
+
+DEPEND="dev-libs/openssl
+ >=dev-libs/libevent-1.2"
+RDEPEND="${DEPEND}
+ net-proxy/tsocks"
+
+pkg_setup() {
+ enewgroup tor
+ enewuser tor -1 -1 /var/lib/tor tor
+}
+
+src_unpack() {
+# unpack ${A}
+ subversion_src_unpack
+ cd "${S}"
+ epatch "${FILESDIR}"/torrc.sample-0.1.2.6.patch
+ epatch "${FILESDIR}"/${PN}-0.2.0.30-logrotate.patch
+}
+
+src_compile() {
+ econf $(use_enable debug)
+ emake || die
+}
+
+src_install() {
+ newinitd "${FILESDIR}"/tor.initd-r4 tor
+ emake DESTDIR="${D}" install || die
+ keepdir /var/{lib,log,run}/tor
+
+ dodoc README ChangeLog AUTHORS ReleaseNotes \
+ doc/{HACKING,TODO} \
+ doc/spec/*.txt
+
+ fperms 750 /var/lib/tor /var/log/tor
+ fperms 755 /var/run/tor
+ fowners tor:tor /var/lib/tor /var/log/tor /var/run/tor
+
+ if use logrotate; then
+ sed -e "s:/lib::" \
+ -e "s:/rc.d::" \
+ -e "s:\\*:\\*.:" \
+ -e "s:sharedscripts:create 0640 tor tor\n\tsharedscripts:" -i contrib/tor.logrotate || die
+ insinto /etc/logrotate.d
+ newins contrib/tor.logrotate tor
+ fi
+}
+
+pkg_postinst() {
+ elog "You must create /etc/tor/torrc, you can use the sample that is in that directory"
+ elog "To have privoxy and tor working together you must add:"
+ elog "forward-socks4a / localhost:9050 ."
+ elog "(notice the . at the end of the line)"
+ elog "to /etc/privoxy/config"
+}